Package: gpsdrive
Version: 2.10~pre4-6.dfsg-5
Severity: important
Tags: sid
User: peter.fritzs...@gmx.de
Usertags: no-add-needed

The package fails to build in a test rebuild on at least amd64 with
ld --no-add-needed.  For details, please see:
http://lists.debian.org/debian-devel-announce/2011/02/msg00011.html
http://wiki.debian.org/ToolChain/DSOLinking

The configure checks must check for a symbol in the library itself,
not for a symbol in a depending library.

[...]
checking for socklen_t... socklen_t
checking for pkg-config... /usr/bin/pkg-config
checking for GTK+ - version >= 2.0.6... yes (version 2.20.1)
checking for x86_64-linux-gnu-pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GTK... yes
checking for PKGCONFIG... yes
checking for XML... yes
checking for x86_64-linux-gnu-pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking for GLIB - version >= 2.8.5... yes (version 2.24.2)
checking for package libc6 2.3.5-1... TODO
checking for package libatk1.0-0...yes
checking for package libcairo 1.0.2-3...
yes
checking for cairo_create in -lcairo... yes
checking for package libexpat1... TODO
checking for package libfontconfig1...yes
checking for FcConfigFilename in -lfontconfig... yes
checking for package libfreetype6... TODO
TODO checking for package libgcc1... TODO
checking for package libpango1 1.10...yes
checking for package libstdc++6... TODO
checking for package libx11-6... TODO
checking for package libpng12-0...yes
checking for package libxcursor1...yes
checking for XcursorImageCreate in -lfontconfig... no
Error with test of xcursor library not found
make: *** [config.status] Error 255
dpkg-buildpackage: error: debian/rules build gave error exit status 2



_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to